//led.c
#include "iolpc2294.h"
#include "led.h"

//it's a simple delay
void Delay (unsigned long a) {
  while (--a!=0);
}

// init led port
void LedInit(void) {
  IO0DIR_bit.P0_30 = 1;    //set port0.30 to output
  PINSEL1 = 0x0;           //set first functionality of this pin
}

// single blink
void LedBlink(void) {
  IO0CLR_bit.P0_30 = 1;    //on led
  Delay(1000000);           //delay
  IO0SET_bit.P0_30 = 1;    //off led
  Delay(4000000);           //delay
}

// turn on led
void LedOn(void) {
  IO0CLR_bit.P0_30 = 1;    //on led
}

// turn off led
void LedOff(void) {
  IO0SET_bit.P0_30 = 1;    //off led
}

